package com.fs.baidu.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.baidu.domain.BdApi;

/**
 * 百度信息Mapper接口
 * 
 * @author fs
 * @date 2025-01-20
 */
public interface BdApiMapper extends BaseMapper<BdApi>{
    /**
     * 查询百度信息
     * 
     * @param id 百度信息主键
     * @return 百度信息
     */
    BdApi selectBdApiById(Long id);

    /**
     * 查询百度信息列表
     * 
     * @param bdApi 百度信息
     * @return 百度信息集合
     */
    List<BdApi> selectBdApiList(BdApi bdApi);

    /**
     * 新增百度信息
     * 
     * @param bdApi 百度信息
     * @return 结果
     */
    int insertBdApi(BdApi bdApi);

    /**
     * 修改百度信息
     * 
     * @param bdApi 百度信息
     * @return 结果
     */
    int updateBdApi(BdApi bdApi);

    /**
     * 删除百度信息
     * 
     * @param id 百度信息主键
     * @return 结果
     */
    int deleteBdApiById(Long id);

    /**
     * 批量删除百度信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdApiByIds(Long[] ids);
}
